%global srcname oslo-serialization

Name:           python-%{srcname}
Version:        4.0.0
Release:        %mkrel 1
Summary:        OpenStack OSLO Serialization

Group:          Development/Python
License:        MIT
URL:            https://github.com/openstack/oslo.serialization
Source0:        https://pypi.io/packages/source/o/oslo.serialization/oslo.serialization-%{version}.tar.gz
BuildArch:      noarch

%description
The oslo.serialization library contain utilities for working with
serialization features.

%package -n     python3-%{srcname}
Summary:        OpenStack OSLO Serialization
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pbr)

%description -n python3-%{srcname}
The oslo.serialization library contain utilities for working with
serialization features.

This is the Python 3 version of the package.

%prep
%autosetup -n oslo.serialization-%{version} -p1

# Remove bundled egg-info
rm -rf oslo.serialization.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%doc AUTHORS ChangeLog CONTRIBUTING.rst README.rst
%{python3_sitelib}/oslo*


%changelog
* Mon Aug 10 2020 bcornec <bcornec> 4.0.0-1.mga8
+ Revision: 1612810
- update to upstream python-oslo-serialization 4.0.0

* Fri Jul 24 2020 wally <wally> 2.28.1-6.mga8
+ Revision: 1608665
- add patch to remove boolean deps

* Fri Jul 24 2020 ovitters <ovitters> 2.28.1-5.mga8
+ Revision: 1608643
- rebuild for getting rid of rich dependency

* Thu Jul 23 2020 ovitters <ovitters> 2.28.1-4.mga8
+ Revision: 1608290
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 2.28.1-3.mga8
+ Revision: 1535590
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 tv <tv> 2.28.1-2.mga8
+ Revision: 1452481
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 2.28.1-1.mga7
+ Revision: 1353625
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.24.0-2.mga7
+ Revision: 1289504
- Mageia 7 Mass Rebuild

* Sat Feb 10 2018 daviddavid <daviddavid> 2.24.0-1.mga7
+ Revision: 1199996
- new version: 2.24.0
- port to msgpack
- rename python-oslo-serialization to python2-oslo-serialization

* Wed Oct 04 2017 tv <tv> 2.13.0-3.mga7
+ Revision: 1168592
- BR pythonX-pbr thus fixing build

* Sat Aug 05 2017 pterjan <pterjan> 2.13.0-2.mga7
+ Revision: 1135531
- Rebuild for python 3.6

* Mon Jan 02 2017 bcornec <bcornec> 2.13.0-1.mga6
+ Revision: 1079656
- Update to upstream python-oslo-serialization 2.12.0

* Fri Aug 26 2016 bcornec <bcornec> 2.4.0-1.mga6
+ Revision: 1048966
- update to upstream python-oslo-serialization 2.4.0

* Fri Dec 18 2015 daviddavid <daviddavid> 2.1.0-1.mga6
+ Revision: 911561
- new version: 2.1.0

* Wed Oct 14 2015 daviddavid <daviddavid> 1.8.0-2.mga6
+ Revision: 891101
- add python3 package
- use new python macros
- add doc files

* Sun Aug 30 2015 fwang <fwang> 1.8.0-1.mga6
+ Revision: 871301
- 1.8.0

* Mon Feb 23 2015 bcornec <bcornec> 1.3.0-1.mga5
+ Revision: 816655
- Update to upstream 1.3.0
- Upload python oslo components for python keystone client support
- Created package structure for python-oslo-serialization.

